/preview/retail-media/campaigns/{campaignId}/auction-line-items
curl --request GET \
--url https://api.criteo.com/preview/retail-media/campaigns/{campaignId}/auction-line-items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.criteo.com/preview/retail-media/campaigns/{campaignId}/auction-line-items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.criteo.com/preview/retail-media/campaigns/{campaignId}/auction-line-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"budgetRemaining": 123,
"campaignId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"targetRetailerId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"budget": 123,
"budgetSpent": 123,
"dailyPacing": 123,
"endDate": "2023-11-07T05:31:56Z",
"flightSchedule": {
"legs": [
{
"endTime": "<string>",
"startTime": "<string>"
}
]
},
"isAutoDailyPacing": true,
"maxBid": 123,
"monthlyPacing": 123,
"targetBid": 123
},
"id": "<string>",
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>"
}
],
"metadata": {
"limit": 123,
"offset": 123,
"count": 123
},
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>"
}
]
}/preview/retail-media/campaigns/{campaignId}/auction-line-items
Gets a page of sponsored product line items by campaign id.
GET
/
preview
/
retail-media
/
campaigns
/
{campaignId}
/
auction-line-items
/preview/retail-media/campaigns/{campaignId}/auction-line-items
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The id of the campaign
Query Parameters
The number of elements to be returned on a page.
Required range:
1 <= x <= 500The ids to limit the auction line item results to
The (zero-based) starting offset into the collection.
Required range:
0 <= x <= 2147483647Response
200 - application/json
Success
A top-level object that encapsulates a Criteo API response for several entities and metadata.
A domain entity exposed by the API, identified by a unique id.
Show child attributes
Show child attributes
Errors that occured during this call.
Show child attributes
Show child attributes
Metadata related to the current request.
Show child attributes
Show child attributes
Warnings that occured during this call.
Show child attributes
Show child attributes
Was this page helpful?
⌘I